object Frm_JTAG: TFrm_JTAG
  Left = 1
  Top = 174
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'JTAG Mode'
  ClientHeight = 529
  ClientWidth = 610
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = [fsBold]
  OldCreateOrder = False
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object Label1: TLabel
    Left = 8
    Top = 32
    Width = 555
    Height = 13
    Caption = 
      'FIRMWARE PROGRAMMING IS A CRITICAL OPERATION. PLEASE DO ONLY WHE' +
      'N REQUIRED'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object Label2: TLabel
    Left = 8
    Top = 47
    Width = 491
    Height = 13
    Caption = 
      'DO NOT USE ANY OF THE DEBBUGING FEATURES. WHEN IN DOUBT PLEASE A' +
      'SK'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object Label3: TLabel
    Left = 7
    Top = 62
    Width = 595
    Height = 13
    Caption = 
      'HAVE YOUR HP41 CONNECTED AND POWERED. DO NOT USE YOUR HP41 DURIN' +
      'G PROGRAMMING'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object Label4: TLabel
    Left = 8
    Top = 77
    Width = 506
    Height = 13
    Caption = 
      'DO NOT DISCONNECT THE USB CABLE AND ONLY USE TRUSTED FIRMWARE FI' +
      'LES '
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object Label5: TLabel
    Left = 223
    Top = 0
    Width = 145
    Height = 32
    Caption = 'WARNING!'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -27
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object MemoJTAG: TMemo
    Left = 0
    Top = 262
    Width = 610
    Height = 242
    Align = alBottom
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'Lucida Console'
    Font.Style = []
    Lines.Strings = (
      
        'Firmware Programming is a critical operation, please do only whe' +
        'n required'
      
        'Do not use any of the debugging features, when in doubt please a' +
        'sk'
      'USE OF THE DEBUG FUNCTIONS IS AT YOUR OWN RISK'
      ''
      
        'When programming new firmware, have you HP41 connected and power' +
        'ed'
      'Do no use your HP41 during firmware programming'
      
        'Do not disconnect the USB cable and only use trusted firmware fi' +
        'les'
      ''
      'Instructions for use:'
      '*  Check the Device ID, this must be $0495B093'
      
        '*  Check the current Firmware Version (Device ID is shown as wel' +
        'l)'
      '*  If no errors occur, firmware may be upgraded'
      
        '*  Click OPEN to choose the firmware file, must have the *.XSVF ' +
        ' extension'
      '*  Click PROGRAM to do the actual programming'
      
        '*  During Firmware programming, the contents of the first block ' +
        'of SRAM '
      
        '   may be corrupted. It is advised to make a backup before firmw' +
        'are '
      '   programming.'
      
        '*  After firmware programming, Connect and Disconnect the MLDL20' +
        '00 from '
      '   your PC and check the firmware version. '
      '*  Verify the operation of the MLDL2000/HP41'
      
        '*  make certain that you understand the features and changes in ' +
        'the new firmware')
    ParentFont = False
    TabOrder = 8
  end
  object GroupBox1: TGroupBox
    Left = 145
    Top = 100
    Width = 394
    Height = 157
    Caption = 'Debug Functions - use of these functions at your own risk!'
    TabOrder = 14
  end
  object BtnEnable: TButton
    Left = 157
    Top = 201
    Width = 89
    Height = 25
    Caption = 'Enable JTAG'
    Enabled = False
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    TabOrder = 0
    OnClick = BtnEnableClick
  end
  object BtnOpen: TButton
    Left = 7
    Top = 103
    Width = 89
    Height = 25
    Hint = 'Open Firmware file (*.XSVF)'
    Caption = 'Open'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    ParentShowHint = False
    ShowHint = True
    TabOrder = 1
    OnClick = BtnOpenClick
  end
  object BtnProgram: TButton
    Left = 7
    Top = 196
    Width = 89
    Height = 25
    Hint = 'Program Open Firmware file'
    Caption = 'Program'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    ParentShowHint = False
    ShowHint = True
    TabOrder = 2
    OnClick = BtnProgramClick
  end
  object PnlBottom: TPanel
    Left = 0
    Top = 504
    Width = 610
    Height = 25
    Align = alBottom
    Caption = 'PnlBottom'
    TabOrder = 3
    object PnlStatus: TPanel
      Left = 1
      Top = 1
      Width = 232
      Height = 23
      Align = alLeft
      BevelInner = bvLowered
      BevelOuter = bvNone
      TabOrder = 0
    end
    object ProgressJTAG: TProgressBar
      Left = 368
      Top = 1
      Width = 241
      Height = 23
      Align = alRight
      Smooth = True
      Step = 1
      TabOrder = 1
    end
    object PnlError: TPanel
      Left = 233
      Top = 1
      Width = 135
      Height = 23
      Align = alClient
      BevelInner = bvLowered
      BevelOuter = bvNone
      TabOrder = 2
    end
  end
  object ChkSimulate: TCheckBox
    Left = 280
    Top = 129
    Width = 208
    Height = 17
    Caption = 'Simulate only, no programming'
    Enabled = False
    TabOrder = 4
  end
  object ChkLog: TCheckBox
    Left = 280
    Top = 198
    Width = 121
    Height = 17
    Caption = 'Create Log File'
    Enabled = False
    TabOrder = 5
  end
  object ChkUSBProg: TCheckBox
    Left = 280
    Top = 221
    Width = 233
    Height = 17
    Caption = 'USB Programming (else parallel cable)'
    Checked = True
    Enabled = False
    State = cbChecked
    TabOrder = 6
  end
  object ChkDebug: TCheckBox
    Left = 280
    Top = 175
    Width = 121
    Height = 17
    Caption = 'Enable Step Mode'
    Enabled = False
    TabOrder = 7
  end
  object BtnNext: TButton
    Left = 157
    Top = 162
    Width = 89
    Height = 25
    Caption = 'Next'
    Enabled = False
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    TabOrder = 9
  end
  object ChkTrace: TCheckBox
    Left = 280
    Top = 152
    Width = 137
    Height = 17
    Caption = 'Enable Trace Mode'
    Enabled = False
    TabOrder = 10
  end
  object BtnDevID: TButton
    Left = 7
    Top = 134
    Width = 89
    Height = 25
    Hint = 'Read CPLD Device ID'
    Caption = 'Device ID'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    ParentShowHint = False
    ShowHint = True
    TabOrder = 11
    OnClick = BtnDevIDClick
  end
  object BtnFWID: TButton
    Left = 7
    Top = 165
    Width = 89
    Height = 25
    Hint = 'Read current Firmware Version'
    Caption = 'FW Version'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    ParentShowHint = False
    ShowHint = True
    TabOrder = 12
    OnClick = BtnFWIDClick
  end
  object BtnDbgEnable: TButton
    Left = 157
    Top = 125
    Width = 89
    Height = 25
    Caption = 'Enable Debug'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
    TabOrder = 13
    OnClick = BtnDbgEnableClick
  end
  object DlgOpen: TOpenDialog
    Filter = 'XSVF file|*.xsvf'
    Left = 556
    Top = 8
  end
end
